import { AdditionalFilter, Filter } from '../types/experts';
import { LOCALES } from './locale';

export enum FilterType {
    'WorkLifeBalance' = 'workLifeBalance',
    'StrategicSession' = 'strategicSession',
    'PersonalGrowth' = 'personalGrowth',
    'CareerPlaning' = 'careerPlaning',
    'ExecutiveCoaching' = 'executiveCoaching',
    'CareerDevelopment' = 'careerDevelopment',
    'Networking' = 'networking',
    'BusinessModelReview' = 'businessModelReview',
    'Price' = 'price',
    'Duration' = 'duration'
}

export const INITIAL_FILTER: Filter = {
    [FilterType.WorkLifeBalance]: false,
    [FilterType.StrategicSession]: false,
    [FilterType.PersonalGrowth]: false,
    [FilterType.CareerPlaning]: false,
    [FilterType.ExecutiveCoaching]: false,
    [FilterType.CareerDevelopment]: false,
    [FilterType.Networking]: false,
    [FilterType.BusinessModelReview]: false,
    [FilterType.Price]: [65, 170],
    [FilterType.Duration]: [60, 120]
};

export const INITIAL_ADD_FILTER: AdditionalFilter = {
    sort: 'By top views',
    language: Object.keys(LOCALES)
};
